local SUI, L, Lib = SUI, SUI.L, SUI.Lib
local StdUi = Lib.StdUi
local module = SUI:NewModule('Handler_HealHelper')
module.name = 'Heal helper'
module.description = 'SUI click to heal implementation'
----------------------------------------------------------------------------------------------------
local ActiveStateOverride, OverrideIsEnabled = false, false

function module:OnInitialize()
	---@alias HHActiveType
	---|"Enabled"
	---|"InCombat"
	---|"Disabled"

	---@class HHSettings
	local defaults = {
		Activate = {
			InRaid = 'Enabled', ---@type HHActiveType
			InParty = 'Enabled', ---@type HHActiveType
			InBG = 'Enabled', ---@type HHActiveType
			InArena = 'Enabled', ---@type HHActiveType
			WhenSolo = 'InCombat' ---@type HHActiveType
		},
		ChatOutput = true, ---When Enabled will output to chat on enable/disable change
		KeySets = {}
	}
	module.Database = SUI.SpartanUIDB:RegisterNamespace('HealHelper', {profile = defaults})
	module.DB = module.Database.profile ---@type HHSettings
end

function module:OnEnable()
	if SUI:IsModuleDisabled('HealHelper') or SUI:IsModuleDisabled('UnitFrames') then
		return
	end
end
